Subject: (IPng 6461) Re: Host Fragmentation

From: [email-masked]
Date: Mon, 14 Sep 1998 22:16:52 EDT

In a message dated 9/10/98 1:36:37 PM Eastern Daylight Time,
[email-masked] writes:

> Yes, it was IP (TCP in fact) that was used in generating the numbers
>  mentioned in the Infoworld article.

>  However, I agree with Matt that this contributes nothing to the debate over
>  where to do fragmentation.  

Only if the article is not read carefully.  The article fairly clearly
implies that at least 50% greater throughput is obtainable if 
fragmentation is done at the intermediate system.

>  It corroborates the results previously done by
>  the Cray folks (Dave Borman?) over HiPPI which showed for all other things
>  equal that large MTUs are good, but that probably doesn't surprise anybody.

Was the Cray being used as a massive file server or web server
for a multitude of clients?  If not, drawing conclusions with regard
to where best to perform fragmentation in the massive file
server environment is not justified.
  
>  The only IPv6 issue that this might touch on, is the recent Path MTU vs. no
>  Path MTU debate.  And there I think it shows that the decision reached in
>  the working group (doing Path MTU is good in case larger MTUs become
>  commonplace) was the right one.

PMTU procedures in the situation described in the article would
force at best 600 Mbps of throughput at the file rather than
the > 900 Mbps of throughput that was attainable by using
jumbograms and intermediate system fragmentation.

Joachim Martillo
<A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A>
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------